//+------------------------------------------------------------------+
//|                                                 EcoPowerTest10makeup Martin.mq4 |
//|                        Copyright 2014, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
// lot size from extern to global, dynamic lot size inside ordersend
//+------------------------------------------------------------------+

#property copyright "Copyright 2014, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
#property strict
#define SIGNAL_NONE 0
#define SIGNAL_CLOSEBUY 1
#define SIGNAL_CLOSESELL 2
#define SIGNAL_BUY_USDJPY 3
#define SIGNAL_BUY_USDCHF 4
#define SIGNAL_BUY_USDCAD 5
#define SIGNAL_BUY_EURUSD 6
#define SIGNAL_BUY_EURJPY 7
#define SIGNAL_BUY_EURCHF 8
#define SIGNAL_BUY_EURGBP 9
#define SIGNAL_BUY_EURAUD 10
#define SIGNAL_BUY_EURCAD 11
#define SIGNAL_BUY_EURNZD 12
#define SIGNAL_BUY_GBPUSD 13
#define SIGNAL_BUY_GBPCHF 14
#define SIGNAL_BUY_GBPJPY 15
#define SIGNAL_BUY_GBPAUD 16
#define SIGNAL_BUY_GBPCAD 17
#define SIGNAL_BUY_GBPNZD 18
#define SIGNAL_BUY_CHFJPY 19
#define SIGNAL_BUY_CADCHF 20
#define SIGNAL_BUY_CADJPY 21
#define SIGNAL_BUY_AUDUSD 22
#define SIGNAL_BUY_AUDCAD 23
#define SIGNAL_BUY_AUDCHF 24
#define SIGNAL_BUY_AUDJPY 25
#define SIGNAL_BUY_AUDNZD 26
#define SIGNAL_BUY_NZDUSD 27
#define SIGNAL_BUY_NZDCAD 28
#define SIGNAL_BUY_NZDCHF 29
#define SIGNAL_BUY_NZDJPY 30
#define SIGNAL_SELL_EURUSD 31
#define SIGNAL_SELL_GBPUSD 32
#define SIGNAL_SELL_AUDUSD 33
#define SIGNAL_SELL_NZDUSD 34
#define SIGNAL_SELL_EURGBP 35
#define SIGNAL_SELL_USDCHF 36
#define SIGNAL_SELL_EURCHF 37
#define SIGNAL_SELL_AUDCHF 38
#define SIGNAL_SELL_CADCHF 39
#define SIGNAL_SELL_NZDCHF 40
#define SIGNAL_SELL_GBPCHF 41
#define SIGNAL_SELL_USDCAD 42
#define SIGNAL_SELL_AUDCAD 43
#define SIGNAL_SELL_NZDCAD 44
#define SIGNAL_SELL_EURCAD 45
#define SIGNAL_SELL_GBPCAD 46
#define SIGNAL_SELL_EURAUD 47
#define SIGNAL_SELL_GBPAUD 48
#define SIGNAL_SELL_USDJPY 49
#define SIGNAL_SELL_EURJPY 50
#define SIGNAL_SELL_AUDJPY 51
#define SIGNAL_SELL_CADJPY 52
#define SIGNAL_SELL_CHFJPY 53
#define SIGNAL_SELL_NZDJPY 54
#define SIGNAL_SELL_GBPJPY 55
#define SIGNAL_SELL_AUDNZD 56
#define SIGNAL_SELL_EURNZD 57
#define SIGNAL_SELL_GBPNZD 58


 

//External Variables
extern int MagicNumber=11;
extern bool EachTickMode = False;
extern int Slippage = 5;
extern bool UseStopLoss = True;
extern int StopLoss = 35;
extern bool UseTakeProfit = True;
extern int TakeProfit = 55;
extern bool DynamicLotSize = True;
extern double EquityPercent = 0.3;
extern double FixedLotSize =0.1;
extern bool martingale=False;
extern double multiplier=2.0;
extern double lots=0.1;
extern int lotdigits=2;             // 1 for minilot, 2 for microlot
extern double B=1.0;


//Global Variables
double RiskAmount;
double CalcLots;
double eurusdTickValue = MarketInfo("EURUSD",MODE_TICKVALUE);
double gbpusdTickValue = MarketInfo("GBPUSD",MODE_TICKVALUE);
double usdjpyTickValue = MarketInfo("USDJPY",MODE_TICKVALUE);
double usdchfTickValue = MarketInfo("USDCHF",MODE_TICKVALUE);
double usdcadTickValue = MarketInfo("USDCAD",MODE_TICKVALUE);
double audusdTickValue = MarketInfo("AUDUSD",MODE_TICKVALUE);
double nzdusdTickValue = MarketInfo("NZDUSD",MODE_TICKVALUE);
double eurjpyTickValue = MarketInfo("EURJPY",MODE_TICKVALUE);
double eurchfTickValue = MarketInfo("EURCHF",MODE_TICKVALUE);
double eurgbpTickValue = MarketInfo("EURGBP",MODE_TICKVALUE);
double audcadTickValue = MarketInfo("AUDCAD",MODE_TICKVALUE);
double audchfTickValue = MarketInfo("AUDCHF",MODE_TICKVALUE);
double audjpyTickValue = MarketInfo("AUDJPY",MODE_TICKVALUE);
double cadchfTickValue = MarketInfo("CADCHF",MODE_TICKVALUE);
double cadjpyTickValue = MarketInfo("CADJPY",MODE_TICKVALUE);
double chfjpyTickValue = MarketInfo("CHFJPY",MODE_TICKVALUE);
double nzdcadTickValue = MarketInfo("NZDCAD",MODE_TICKVALUE);
double nzdchfTickValue = MarketInfo("NZDCHF",MODE_TICKVALUE);
double nzdjpyTickValue = MarketInfo("NZDJPY",MODE_TICKVALUE);
double euraudTickValue = MarketInfo("EURAUD",MODE_TICKVALUE);
double gbpchfTickValue = MarketInfo("GBPCHF",MODE_TICKVALUE);
double gbpjpyTickValue = MarketInfo("GBPJPY",MODE_TICKVALUE);
double audnzdTickValue = MarketInfo("AUDNZD",MODE_TICKVALUE);
double eurcadTickValue = MarketInfo("EURCAD",MODE_TICKVALUE);
double eurnzdTickValue = MarketInfo("EURNZD",MODE_TICKVALUE);
double gbpaudTickValue = MarketInfo("GBPAUD",MODE_TICKVALUE);
double gbpcadTickValue = MarketInfo("GBPCAD",MODE_TICKVALUE);
double gbpnzdTickValue = MarketInfo("GBPNZD",MODE_TICKVALUE);

int slEURUSD= StopLoss + 3;
int slGBPUSD= StopLoss + 3;
int slUSDJPY= StopLoss + 3;
int slUSDCHF= StopLoss + 3;
int slUSDCAD= StopLoss + 3;
int slAUDUSD= StopLoss + 3;
int slNZDUSD= StopLoss + 3;
int slEURJPY= StopLoss + 3;
int slEURCHF= StopLoss + 3;
int slEURGBP= StopLoss + 3;
int slAUDCAD= StopLoss + 10;
int slAUDCHF= StopLoss + 10;
int slAUDJPY= StopLoss + 10;
int slCADCHF= StopLoss + 10;
int slCADJPY= StopLoss + 10;
int slCHFJPY= StopLoss + 10;
int slNZDCAD= StopLoss + 10;
int slNZDCHF= StopLoss + 10;
int slNZDJPY= StopLoss + 10;
int slEURAUD= StopLoss + 7;
int slGBPCHF= StopLoss + 7;
int slGBPJPY= StopLoss + 7;
int slAUDNZD= StopLoss + 12;
int slEURCAD= StopLoss + 12;
int slEURNZD= StopLoss + 12;
int slGBPAUD= StopLoss + 12;
int slGBPCAD= StopLoss + 12;
int slGBPNZD= StopLoss + 12;


double ilots,lastprofit,lastlot,mlots;
int j,history;
int BarCount;
int Current;
bool TickCheck = False;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+

int init() 
   {
   BarCount = Bars;
   if (EachTickMode) Current = 0; else Current = 1;
   return(0);
   }

//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit() 
{
return(0);
}
//+------------------------------------------------------------------+
//| Expert special function                                   |
//+------------------------------------------------------------------+
int start()
{
//-------------------------------
if(Digits == 3 || Digits == 5) eurusdTickValue *= 10;
if(Digits == 3 || Digits == 5) gbpusdTickValue *= 10;
if(Digits == 3 || Digits == 5) usdjpyTickValue *= 10;
if(Digits == 3 || Digits == 5) usdchfTickValue *= 10;
if(Digits == 3 || Digits == 5) usdcadTickValue *= 10;
if(Digits == 3 || Digits == 5) audusdTickValue *= 10;
if(Digits == 3 || Digits == 5) nzdusdTickValue *= 10;
if(Digits == 3 || Digits == 5) eurjpyTickValue *= 10;
if(Digits == 3 || Digits == 5) eurchfTickValue *= 10;
if(Digits == 3 || Digits == 5) eurgbpTickValue *= 10;
if(Digits == 3 || Digits == 5) audcadTickValue *= 10;
if(Digits == 3 || Digits == 5) audchfTickValue *= 10;
if(Digits == 3 || Digits == 5) audjpyTickValue *= 10;
if(Digits == 3 || Digits == 5) cadchfTickValue *= 10;
if(Digits == 3 || Digits == 5) cadjpyTickValue *= 10;
if(Digits == 3 || Digits == 5) chfjpyTickValue *= 10;
if(Digits == 3 || Digits == 5) nzdcadTickValue *= 10;
if(Digits == 3 || Digits == 5) nzdchfTickValue *= 10;
if(Digits == 3 || Digits == 5) nzdjpyTickValue *= 10;
if(Digits == 3 || Digits == 5) euraudTickValue *= 10;
if(Digits == 3 || Digits == 5) gbpchfTickValue *= 10;
if(Digits == 3 || Digits == 5) gbpjpyTickValue *= 10;
if(Digits == 3 || Digits == 5) audnzdTickValue *= 10;
if(Digits == 3 || Digits == 5) eurcadTickValue *= 10;
if(Digits == 3 || Digits == 5) eurnzdTickValue *= 10;
if(Digits == 3 || Digits == 5) gbpaudTickValue *= 10;
if(Digits == 3 || Digits == 5) gbpcadTickValue *= 10;
if(Digits == 3 || Digits == 5) gbpnzdTickValue *= 10;
//-------------------------------

   history=OrdersHistoryTotal();
   if(history>0)
   {
      for(j=0;j<history;j++)
      {
         OrderSelect(j,SELECT_BY_POS,MODE_HISTORY);
         if(OrderMagicNumber()==MagicNumber)
         {
            lastprofit=OrderProfit();
            lastlot=OrderLots();
         }
      }
   }

   
if(martingale && lastprofit<0)mlots=NormalizeDouble(lastlot*multiplier,lotdigits);else mlots=lots;

//--------------------------------
 int selleurusdOrder = SIGNAL_NONE;
int sellgbpusdOrder = SIGNAL_NONE;
int buyusdjpyOrder = SIGNAL_NONE;
int buyusdchfOrder = SIGNAL_NONE;
int buyusdcadOrder = SIGNAL_NONE;
int sellaudusdOrder = SIGNAL_NONE;
int sellnzdusdOrder = SIGNAL_NONE;
int buyeurusdOrder = SIGNAL_NONE;
int buyeurjpyOrder = SIGNAL_NONE;
int buyeurchfOrder = SIGNAL_NONE;
int buyeurgbpOrder = SIGNAL_NONE;
int buyeuraudOrder = SIGNAL_NONE;
int buyeurcadOrder = SIGNAL_NONE;
int buyeurnzdOrder = SIGNAL_NONE;
int buygbpusdOrder = SIGNAL_NONE;
int selleurgbpOrder = SIGNAL_NONE;
int buygbpchfOrder = SIGNAL_NONE;
int buygbpjpyOrder = SIGNAL_NONE;
int buygbpaudOrder = SIGNAL_NONE;
int buygbpcadOrder = SIGNAL_NONE;
int buygbpnzdOrder = SIGNAL_NONE;
int sellusdchfOrder = SIGNAL_NONE;
int selleurchfOrder = SIGNAL_NONE;
int sellaudchfOrder = SIGNAL_NONE;
int sellcadchfOrder = SIGNAL_NONE;
int buychfjpyOrder = SIGNAL_NONE;
int sellnzdchfOrder = SIGNAL_NONE;
int sellgbpchfOrder = SIGNAL_NONE;
int sellusdcadOrder = SIGNAL_NONE;
int sellaudcadOrder = SIGNAL_NONE;
int buycadchfOrder = SIGNAL_NONE;
int buycadjpyOrder = SIGNAL_NONE;
int sellnzdcadOrder = SIGNAL_NONE;
int selleurcadOrder = SIGNAL_NONE;
int sellgbpcadOrder = SIGNAL_NONE;
int buyaudusdOrder = SIGNAL_NONE;
int buyaudcadOrder = SIGNAL_NONE;
int buyaudchfOrder = SIGNAL_NONE;
int buyaudjpyOrder = SIGNAL_NONE;
int selleuraudOrder = SIGNAL_NONE;
int buyaudnzdOrder = SIGNAL_NONE;
int sellgbpaudOrder = SIGNAL_NONE;
int sellusdjpyOrder = SIGNAL_NONE;
int selleurjpyOrder = SIGNAL_NONE;
int sellaudjpyOrder = SIGNAL_NONE;
int sellcadjpyOrder = SIGNAL_NONE;
int sellchfjpyOrder = SIGNAL_NONE;
int sellnzdjpyOrder = SIGNAL_NONE;
int sellgbpjpyOrder = SIGNAL_NONE;
int buynzdusdOrder = SIGNAL_NONE;
int buynzdcadOrder = SIGNAL_NONE;
int buynzdchfOrder = SIGNAL_NONE;
int buynzdjpyOrder = SIGNAL_NONE;
int sellaudnzdOrder = SIGNAL_NONE;
int selleurnzdOrder = SIGNAL_NONE;
int sellgbpnzdOrder = SIGNAL_NONE;

   int Total,Ticket;
   double StopLossLevel, TakeProfitLevel;
   if (EachTickMode && Bars != BarCount) TickCheck = False;
   Total = OrdersTotal();
selleurusdOrder = SIGNAL_NONE;
sellgbpusdOrder = SIGNAL_NONE;
buyusdjpyOrder = SIGNAL_NONE;
buyusdchfOrder = SIGNAL_NONE;
buyusdcadOrder = SIGNAL_NONE;
sellaudusdOrder = SIGNAL_NONE;
sellnzdusdOrder = SIGNAL_NONE;
buyeurusdOrder = SIGNAL_NONE;
buyeurjpyOrder = SIGNAL_NONE;
buyeurchfOrder = SIGNAL_NONE;
buyeurgbpOrder = SIGNAL_NONE;
buyeuraudOrder = SIGNAL_NONE;
buyeurcadOrder = SIGNAL_NONE;
buyeurnzdOrder = SIGNAL_NONE;
buygbpusdOrder = SIGNAL_NONE;
selleurgbpOrder = SIGNAL_NONE;
buygbpchfOrder = SIGNAL_NONE;
buygbpjpyOrder = SIGNAL_NONE;
buygbpaudOrder = SIGNAL_NONE;
buygbpcadOrder = SIGNAL_NONE;
buygbpnzdOrder = SIGNAL_NONE;
sellusdchfOrder = SIGNAL_NONE;
selleurchfOrder = SIGNAL_NONE;
sellaudchfOrder = SIGNAL_NONE;
sellcadchfOrder = SIGNAL_NONE;
buychfjpyOrder = SIGNAL_NONE;
sellnzdchfOrder = SIGNAL_NONE;
sellgbpchfOrder = SIGNAL_NONE;
sellusdcadOrder = SIGNAL_NONE;
sellaudcadOrder = SIGNAL_NONE;
buycadchfOrder = SIGNAL_NONE;
buycadjpyOrder = SIGNAL_NONE;
sellnzdcadOrder = SIGNAL_NONE;
selleurcadOrder = SIGNAL_NONE;
sellgbpcadOrder = SIGNAL_NONE;
buyaudusdOrder = SIGNAL_NONE;
buyaudcadOrder = SIGNAL_NONE;
buyaudchfOrder = SIGNAL_NONE;
buyaudjpyOrder = SIGNAL_NONE;
selleuraudOrder = SIGNAL_NONE;
buyaudnzdOrder = SIGNAL_NONE;
sellgbpaudOrder = SIGNAL_NONE;
sellusdjpyOrder = SIGNAL_NONE;
selleurjpyOrder = SIGNAL_NONE;
sellaudjpyOrder = SIGNAL_NONE;
sellcadjpyOrder = SIGNAL_NONE;
sellchfjpyOrder = SIGNAL_NONE;
sellnzdjpyOrder = SIGNAL_NONE;
sellgbpjpyOrder = SIGNAL_NONE;
buynzdusdOrder = SIGNAL_NONE;
buynzdcadOrder = SIGNAL_NONE;
buynzdchfOrder = SIGNAL_NONE;
buynzdjpyOrder = SIGNAL_NONE;
sellaudnzdOrder = SIGNAL_NONE;
selleurnzdOrder = SIGNAL_NONE;
sellgbpnzdOrder = SIGNAL_NONE;
       
   //+------------------------------------------------------------------+
   //| Variable Begin                                                            |
   //+------------------------------------------------------------------+

double eurusdOpen= iOpen("EURUSD", PERIOD_M30, 1); RefreshRates(); 
double gbpusdOpen= iOpen("GBPUSD", PERIOD_M30, 1); RefreshRates(); 
double usdjpyOpen= iOpen("USDJPY", PERIOD_M30, 1); RefreshRates(); 
double usdchfOpen= iOpen("USDCHF", PERIOD_M30, 1); RefreshRates(); 
double usdcadOpen= iOpen("USDCAD", PERIOD_M30, 1); RefreshRates(); 
double audusdOpen=iOpen("AUDUSD", PERIOD_M30, 1); RefreshRates(); 
double nzdusdOpen=iOpen("NZDUSD", PERIOD_M30, 1); RefreshRates(); 
double eurjpyOpen=iOpen("EURJPY", PERIOD_M30, 1); RefreshRates(); 
double eurchfOpen=iOpen("EURCHF", PERIOD_M30, 1); RefreshRates(); 
double eurgbpOpen=iOpen("EURGBP", PERIOD_M30, 1); RefreshRates(); 
double audcadOpen=iOpen("AUDCAD", PERIOD_M30, 1); RefreshRates(); 
double audchfOpen=iOpen("AUDCHF", PERIOD_M30, 1); RefreshRates(); 
double audjpyOpen=iOpen("AUDJPY", PERIOD_M30, 1); RefreshRates(); 
double cadchfOpen=iOpen("CADCHF", PERIOD_M30, 1); RefreshRates(); 
double cadjpyOpen=iOpen("CADJPY", PERIOD_M30, 1); RefreshRates(); 
double chfjpyOpen=iOpen("CHFJPY", PERIOD_M30, 1); RefreshRates(); 
double nzdcadOpen=iOpen("NZDCAD", PERIOD_M30, 1); RefreshRates(); 
double nzdchfOpen=iOpen("NZDCHF", PERIOD_M30, 1); RefreshRates(); 
double nzdjpyOpen=iOpen("NZDJPY", PERIOD_M30, 1); RefreshRates(); 
double euraudOpen=iOpen("EURAUD", PERIOD_M30, 1); RefreshRates(); 
double gbpchfOpen=iOpen("GBPCHF", PERIOD_M30, 1); RefreshRates(); 
double gbpjpyOpen=iOpen("GBPJPY", PERIOD_M30, 1); RefreshRates(); 
double audnzdOpen=iOpen("AUDNZD", PERIOD_M30, 1); RefreshRates(); 
double eurcadOpen=iOpen("EURCAD", PERIOD_M30, 1); RefreshRates(); 
double eurnzdOpen=iOpen("EURNZD", PERIOD_M30, 1); RefreshRates(); 
double gbpaudOpen=iOpen("GBPAUD", PERIOD_M30, 1); RefreshRates(); 
double gbpcadOpen=iOpen("GBPCAD", PERIOD_M30, 1); RefreshRates(); 
double gbpnzdOpen=iOpen("GBPNZD", PERIOD_M30, 1); RefreshRates(); 
double eurusdClose = iClose("EURUSD", PERIOD_M30, 1); RefreshRates(); 
double gbpusdClose = iClose("GBPUSD", PERIOD_M30, 1); RefreshRates(); 
double usdjpyClose = iClose("USDJPY", PERIOD_M30, 1); RefreshRates(); 
double usdchfClose = iClose("USDCHF", PERIOD_M30, 1); RefreshRates(); 
double usdcadClose = iClose("USDCAD", PERIOD_M30, 1); RefreshRates(); 
double audusdClose = iClose("AUDUSD", PERIOD_M30, 1); RefreshRates(); 
double nzdusdClose = iClose("NZDUSD", PERIOD_M30, 1); RefreshRates(); 
double eurjpyClose = iClose("EURJPY", PERIOD_M30, 1); RefreshRates(); 
double eurchfClose = iClose("EURCHF", PERIOD_M30, 1); RefreshRates(); 
double eurgbpClose = iClose("EURGBP", PERIOD_M30, 1); RefreshRates(); 
double audcadClose = iClose("AUDCAD", PERIOD_M30, 1); RefreshRates(); 
double audchfClose = iClose("AUDCHF", PERIOD_M30, 1); RefreshRates(); 
double audjpyClose = iClose("AUDJPY", PERIOD_M30, 1); RefreshRates(); 
double cadchfClose = iClose("CADCHF", PERIOD_M30, 1); RefreshRates(); 
double cadjpyClose = iClose("CADJPY", PERIOD_M30, 1); RefreshRates(); 
double chfjpyClose = iClose("CHFJPY", PERIOD_M30, 1); RefreshRates(); 
double nzdcadClose = iClose("NZDCAD", PERIOD_M30, 1); RefreshRates(); 
double nzdchfClose = iClose("NZDCHF", PERIOD_M30, 1); RefreshRates(); 
double nzdjpyClose = iClose("NZDJPY", PERIOD_M30, 1); RefreshRates(); 
double euraudClose = iClose("EURAUD", PERIOD_M30, 1); RefreshRates(); 
double gbpchfClose = iClose("GBPCHF", PERIOD_M30, 1); RefreshRates(); 
double gbpjpyClose = iClose("GBPJPY", PERIOD_M30, 1); RefreshRates(); 
double audnzdClose = iClose("AUDNZD", PERIOD_M30, 1); RefreshRates(); 
double eurcadClose = iClose("EURCAD", PERIOD_M30, 1); RefreshRates(); 
double eurnzdClose = iClose("EURNZD", PERIOD_M30, 1); RefreshRates(); 
double gbpaudClose = iClose("GBPAUD", PERIOD_M30, 1); RefreshRates(); 
double gbpcadClose = iClose("GBPCAD", PERIOD_M30, 1); RefreshRates(); 
double gbpnzdClose = iClose("GBPNZD", PERIOD_M30, 1); RefreshRates();
double GainUSDeurusd=(eurusdOpen-eurusdClose)*10000;RefreshRates();
double GainUSDgbpusd=(gbpusdOpen-gbpusdClose)*10000;RefreshRates();
double GainUSDusdjpy=(usdjpyClose-usdjpyOpen)*100;RefreshRates();
double GainUSDusdchf=(usdchfClose-usdchfOpen)*10000;RefreshRates();
double GainUSDusdcad=(usdcadClose-usdcadOpen)*10000;RefreshRates();
double GainUSDaudusd=(audusdOpen-audusdClose)*10000;RefreshRates();
double GainUSDnzdusd=(nzdusdOpen-nzdusdClose)*10000;RefreshRates();
double GainEUReurusd=(eurusdClose-eurusdOpen)*10000;RefreshRates();
double GainEUReurjpy=(eurjpyClose-eurjpyOpen)*100;RefreshRates();
double GainEUReurchf=(eurchfClose-eurchfOpen)*10000;RefreshRates();
double GainEUReurgbp=(eurgbpClose-eurgbpOpen)*10000;RefreshRates();
double GainEUReuraud=(euraudClose-euraudOpen)*10000;RefreshRates();
double GainEUReurcad=(eurcadClose-eurcadOpen)*10000;RefreshRates();
double GainEUReurnzd=(eurnzdClose-eurnzdOpen)*10000;RefreshRates();
double GainGBPgbpusd=(gbpusdClose-gbpusdOpen)*10000;RefreshRates();
double GainGBPeurgbp=(eurgbpOpen-eurgbpClose)*10000;RefreshRates();
double GainGBPgbpchf=(gbpchfClose-gbpchfOpen)*10000;RefreshRates();
double GainGBPgbpjpy=(gbpjpyClose-gbpjpyOpen)*100;RefreshRates();
double GainGBPgbpaud=(gbpaudClose-gbpaudOpen)*10000;RefreshRates();
double GainGBPgbpcad=(gbpcadClose-gbpcadOpen)*10000;RefreshRates();
double GainGBPgbpnzd=(gbpnzdClose-gbpnzdOpen)*10000;RefreshRates();
double GainCHFusdchf=(usdchfOpen-usdchfClose)*10000;RefreshRates();
double GainCHFeurchf=(eurchfOpen-eurchfClose)*10000;RefreshRates();
double GainCHFaudchf=(audchfOpen-audchfClose)*10000;RefreshRates();
double GainCHFcadchf=(cadchfOpen-cadchfClose)*10000;RefreshRates();
double GainCHFchfjpy=(chfjpyClose-chfjpyOpen)*100;RefreshRates();
double GainCHFnzdchf=(nzdchfOpen-nzdchfClose)*10000;RefreshRates();
double GainCHFgbpchf=(gbpchfOpen-gbpchfClose)*10000;RefreshRates();
double GainCADusdcad=(usdcadOpen-usdcadClose)*10000;RefreshRates();
double GainCADaudcad=(audcadOpen-audcadClose)*10000;RefreshRates();
double GainCADcadchf=(cadchfClose-cadchfOpen)*10000;RefreshRates();
double GainCADcadjpy=(cadjpyClose-cadjpyOpen)*100;RefreshRates();
double GainCADnzdcad=(nzdcadOpen-nzdcadClose)*10000;RefreshRates();
double GainCADeurcad=(eurcadOpen-eurcadClose)*10000;RefreshRates();
double GainCADgbpcad=(gbpcadOpen-gbpcadClose)*10000;RefreshRates();
double GainAUDaudusd=(audusdClose-audusdOpen)*10000;RefreshRates();
double GainAUDaudcad=(audcadClose-audcadOpen)*10000;RefreshRates();
double GainAUDaudchf=(audchfClose-audchfOpen)*10000;RefreshRates();
double GainAUDaudjpy=(audjpyClose-audjpyOpen)*100;RefreshRates();
double GainAUDeuraud=(euraudOpen-euraudClose)*10000;RefreshRates();
double GainAUDaudnzd=(audnzdClose-audnzdOpen)*10000;RefreshRates();
double GainAUDgbpaud=(gbpaudOpen-gbpaudClose)*10000;RefreshRates();
double GainJPYusdjpy=(usdjpyOpen-usdjpyClose)*100;RefreshRates();
double GainJPYeurjpy=(eurjpyOpen-eurjpyClose)*100;RefreshRates();
double GainJPYaudjpy=(audjpyOpen-audjpyClose)*100;RefreshRates();
double GainJPYcadjpy=(cadjpyOpen-cadjpyClose)*100;RefreshRates();
double GainJPYchfjpy=(chfjpyOpen-chfjpyClose)*100;RefreshRates();
double GainJPYnzdjpy=(nzdjpyOpen-nzdjpyClose)*100;RefreshRates();
double GainJPYgbpjpy=(gbpjpyOpen-gbpjpyClose)*100;RefreshRates();
double GainNZDnzdusd=(nzdusdClose-nzdusdOpen)*10000;RefreshRates();
double GainNZDnzdcad=(nzdcadClose-nzdcadOpen)*10000;RefreshRates();
double GainNZDnzdchf=(nzdchfClose-nzdchfOpen)*10000;RefreshRates();
double GainNZDnzdjpy=(nzdjpyClose-nzdjpyOpen)*100;RefreshRates();
double GainNZDaudnzd=(audnzdOpen-audnzdClose)*10000;RefreshRates();
double GainNZDeurnzd=(eurnzdOpen-eurnzdClose)*10000;RefreshRates();
double GainNZDgbpnzd=(gbpnzdOpen-gbpnzdClose)*10000;RefreshRates();
//+------------------------------------------------------------------+
//| Variable End                                                     |
//+------------------------------------------------------------------+

//Check position
   bool IsTrade = False;
/*   int Order=SIGNAL_NONE;
   for (int i = 0; i < Total; i ++) 
   {
      OrderSelect(i, SELECT_BY_POS, MODE_TRADES);
      if(OrderType() <= OP_SELL && OrderSymbol() == Symbol()) 
      {
         IsTrade = True;
         if(OrderType() == OP_BUY) 
         {
            //Close
            //+------------------------------------------------------------------+
            //| Signal End(Exit Buy)                                             |
            //+------------------------------------------------------------------+
               if (Order == SIGNAL_CLOSEBUY && ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 
               {
                  OrderClose(OrderTicket(), OrderLots(), Bid, Slippage, MediumSeaGreen);
                  if (!EachTickMode) BarCount = Bars;
                  IsTrade = False;
                 continue;
               }else {

            //+------------------------------------------------------------------+
            //| Signal End(Exit Sell)                                            |
            //+------------------------------------------------------------------+

               if (Order == SIGNAL_CLOSESELL && ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 
               {
                  OrderClose(OrderTicket(), OrderLots(), Ask, Slippage, DarkOrange);
                  if (!EachTickMode) BarCount = Bars;
                  IsTrade = False;
                  continue;
               }
                     }
            }
            }
            }
*/
//+------------------------------------------------------------------+
//| Signal Begin(Entry)                                              |
//+------------------------------------------------------------------+

RefreshRates();if(GainUSDeurusd>B&&GainUSDgbpusd>B&&GainUSDusdjpy>B&&GainUSDusdchf>B&&GainUSDusdcad>B&&GainUSDaudusd>B&&GainUSDnzdusd>B&&GainUSDeurusd>GainUSDgbpusd&&GainUSDeurusd>GainUSDusdjpy&&GainUSDeurusd>GainUSDusdchf&&GainUSDeurusd>GainUSDusdcad&&GainUSDeurusd>GainUSDaudusd&&GainUSDeurusd>GainUSDnzdusd)selleurusdOrder = SIGNAL_SELL_EURUSD;else selleurusdOrder=SIGNAL_NONE;
RefreshRates();if(GainUSDeurusd>B&&GainUSDgbpusd>B&&GainUSDusdjpy>B&&GainUSDusdchf>B&&GainUSDusdcad>B&&GainUSDaudusd>B&&GainUSDnzdusd>B&&GainUSDgbpusd>GainUSDeurusd&&GainUSDgbpusd>GainUSDusdjpy&&GainUSDgbpusd>GainUSDusdchf&&GainUSDgbpusd>GainUSDusdcad&&GainUSDgbpusd>GainUSDaudusd&&GainUSDgbpusd>GainUSDnzdusd)sellgbpusdOrder = SIGNAL_SELL_GBPUSD;else sellgbpusdOrder=SIGNAL_NONE;
RefreshRates();if(GainUSDeurusd>B&&GainUSDgbpusd>B&&GainUSDusdjpy>B&&GainUSDusdchf>B&&GainUSDusdcad>B&&GainUSDaudusd>B&&GainUSDnzdusd>B&&GainUSDusdjpy>GainUSDeurusd&&GainUSDusdjpy>GainUSDgbpusd&&GainUSDusdjpy>GainUSDusdchf&&GainUSDusdjpy>GainUSDusdcad&&GainUSDusdjpy>GainUSDaudusd&&GainUSDusdjpy>GainUSDnzdusd)buyusdjpyOrder = SIGNAL_BUY_USDJPY;else buyusdjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainUSDeurusd>B&&GainUSDgbpusd>B&&GainUSDusdjpy>B&&GainUSDusdchf>B&&GainUSDusdcad>B&&GainUSDaudusd>B&&GainUSDnzdusd>B&&GainUSDusdchf>GainUSDeurusd&&GainUSDusdchf>GainUSDgbpusd&&GainUSDusdchf>GainUSDusdjpy&&GainUSDusdchf>GainUSDusdcad&&GainUSDusdchf>GainUSDaudusd&&GainUSDusdchf>GainUSDnzdusd)buyusdchfOrder = SIGNAL_BUY_USDCHF;else buyusdchfOrder=SIGNAL_NONE;
RefreshRates();if(GainUSDeurusd>B&&GainUSDgbpusd>B&&GainUSDusdjpy>B&&GainUSDusdchf>B&&GainUSDusdcad>B&&GainUSDaudusd>B&&GainUSDnzdusd>B&&GainUSDusdcad>GainUSDeurusd&&GainUSDusdcad>GainUSDgbpusd&&GainUSDusdcad>GainUSDusdjpy&&GainUSDusdcad>GainUSDusdchf&&GainUSDusdcad>GainUSDaudusd&&GainUSDusdcad>GainUSDnzdusd)buyusdcadOrder = SIGNAL_BUY_USDCAD;else buyusdcadOrder=SIGNAL_NONE;
RefreshRates();if(GainUSDeurusd>B&&GainUSDgbpusd>B&&GainUSDusdjpy>B&&GainUSDusdchf>B&&GainUSDusdcad>B&&GainUSDaudusd>B&&GainUSDnzdusd>B&&GainUSDaudusd>GainUSDeurusd&&GainUSDaudusd>GainUSDgbpusd&&GainUSDaudusd>GainUSDusdjpy&&GainUSDaudusd>GainUSDusdchf&&GainUSDaudusd>GainUSDusdcad&&GainUSDaudusd>GainUSDnzdusd)sellaudusdOrder = SIGNAL_SELL_AUDUSD;else sellaudusdOrder=SIGNAL_NONE;
RefreshRates();if(GainUSDeurusd>B&&GainUSDgbpusd>B&&GainUSDusdjpy>B&&GainUSDusdchf>B&&GainUSDusdcad>B&&GainUSDaudusd>B&&GainUSDnzdusd>B&&GainUSDnzdusd>GainUSDeurusd&&GainUSDnzdusd>GainUSDgbpusd&&GainUSDnzdusd>GainUSDusdjpy&&GainUSDnzdusd>GainUSDusdchf&&GainUSDnzdusd>GainUSDusdcad&&GainUSDnzdusd>GainUSDaudusd)sellnzdusdOrder = SIGNAL_SELL_NZDUSD;else sellnzdusdOrder=SIGNAL_NONE;
RefreshRates();if(GainEUReurusd>B&&GainEUReurjpy>B&&GainEUReurchf>B&&GainEUReurgbp>B&&GainEUReuraud>B&&GainEUReurcad>B&&GainEUReurnzd>B&&GainEUReurusd>GainEUReurjpy&&GainEUReurusd>GainEUReurchf&&GainEUReurusd>GainEUReurgbp&&GainEUReurusd>GainEUReuraud&&GainEUReurusd>GainEUReurcad&&GainEUReurusd>GainEUReurnzd)buyeurusdOrder = SIGNAL_BUY_EURUSD;else buyeurusdOrder=SIGNAL_NONE;
RefreshRates();if(GainEUReurusd>B&&GainEUReurjpy>B&&GainEUReurchf>B&&GainEUReurgbp>B&&GainEUReuraud>B&&GainEUReurcad>B&&GainEUReurnzd>B&&GainEUReurjpy>GainEUReurusd&&GainEUReurjpy>GainEUReurchf&&GainEUReurjpy>GainEUReurgbp&&GainEUReurjpy>GainEUReuraud&&GainEUReurjpy>GainEUReurcad&&GainEUReurjpy>GainEUReurnzd)buyeurjpyOrder = SIGNAL_BUY_EURJPY;else buyeurjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainEUReurusd>B&&GainEUReurjpy>B&&GainEUReurchf>B&&GainEUReurgbp>B&&GainEUReuraud>B&&GainEUReurcad>B&&GainEUReurnzd>B&&GainEUReurchf>GainEUReurusd&&GainEUReurchf>GainEUReurjpy&&GainEUReurchf>GainEUReurgbp&&GainEUReurchf>GainEUReuraud&&GainEUReurchf>GainEUReurcad&&GainEUReurchf>GainEUReurnzd)buyeurchfOrder = SIGNAL_BUY_EURCHF;else buyeurchfOrder=SIGNAL_NONE;
RefreshRates();if(GainEUReurusd>B&&GainEUReurjpy>B&&GainEUReurchf>B&&GainEUReurgbp>B&&GainEUReuraud>B&&GainEUReurcad>B&&GainEUReurnzd>B&&GainEUReurgbp>GainEUReurusd&&GainEUReurgbp>GainEUReurjpy&&GainEUReurgbp>GainEUReurchf&&GainEUReurgbp>GainEUReuraud&&GainEUReurgbp>GainEUReurcad&&GainEUReurgbp>GainEUReurnzd)buyeurgbpOrder = SIGNAL_BUY_EURGBP;else buyeurgbpOrder=SIGNAL_NONE;
RefreshRates();if(GainEUReurusd>B&&GainEUReurjpy>B&&GainEUReurchf>B&&GainEUReurgbp>B&&GainEUReuraud>B&&GainEUReurcad>B&&GainEUReurnzd>B&&GainEUReuraud>GainEUReurusd&&GainEUReuraud>GainEUReurjpy&&GainEUReuraud>GainEUReurchf&&GainEUReuraud>GainEUReurgbp&&GainEUReuraud>GainEUReurcad&&GainEUReuraud>GainEUReurnzd)buyeuraudOrder = SIGNAL_BUY_EURAUD;else buyeuraudOrder=SIGNAL_NONE;
RefreshRates();if(GainEUReurusd>B&&GainEUReurjpy>B&&GainEUReurchf>B&&GainEUReurgbp>B&&GainEUReuraud>B&&GainEUReurcad>B&&GainEUReurnzd>B&&GainEUReurcad>GainEUReurusd&&GainEUReurcad>GainEUReurjpy&&GainEUReurcad>GainEUReurchf&&GainEUReurcad>GainEUReurgbp&&GainEUReurcad>GainEUReuraud&&GainEUReurcad>GainEUReurnzd)buyeurcadOrder = SIGNAL_BUY_EURCAD;else buyeurcadOrder=SIGNAL_NONE;
RefreshRates();if(GainEUReurusd>B&&GainEUReurjpy>B&&GainEUReurchf>B&&GainEUReurgbp>B&&GainEUReuraud>B&&GainEUReurcad>B&&GainEUReurnzd>B&&GainEUReurnzd>GainEUReurusd&&GainEUReurnzd>GainEUReurjpy&&GainEUReurnzd>GainEUReurchf&&GainEUReurnzd>GainEUReurgbp&&GainEUReurnzd>GainEUReuraud&&GainEUReurnzd>GainEUReurcad)buyeurnzdOrder = SIGNAL_BUY_EURNZD;else buyeurnzdOrder=SIGNAL_NONE;
RefreshRates();if(GainGBPgbpusd>B&&GainGBPeurgbp>B&&GainGBPgbpchf>B&&GainGBPgbpjpy>B&&GainGBPgbpaud>B&&GainGBPgbpcad>B&&GainGBPgbpnzd>B&&GainGBPgbpusd>GainGBPeurgbp&&GainGBPgbpusd>GainGBPgbpchf&&GainGBPgbpusd>GainGBPgbpjpy&&GainGBPgbpusd>GainGBPgbpaud&&GainGBPgbpusd>GainGBPgbpcad&&GainGBPgbpusd>GainGBPgbpnzd)buygbpusdOrder = SIGNAL_BUY_GBPUSD;else buygbpusdOrder=SIGNAL_NONE;
RefreshRates();if(GainGBPgbpusd>B&&GainGBPeurgbp>B&&GainGBPgbpchf>B&&GainGBPgbpjpy>B&&GainGBPgbpaud>B&&GainGBPgbpcad>B&&GainGBPgbpnzd>B&&GainGBPeurgbp>GainGBPgbpusd&&GainGBPeurgbp>GainGBPgbpchf&&GainGBPeurgbp>GainGBPgbpjpy&&GainGBPeurgbp>GainGBPgbpaud&&GainGBPeurgbp>GainGBPgbpcad&&GainGBPeurgbp>GainGBPgbpnzd)selleurgbpOrder = SIGNAL_SELL_EURGBP;else selleurgbpOrder=SIGNAL_NONE;
RefreshRates();if(GainGBPgbpusd>B&&GainGBPeurgbp>B&&GainGBPgbpchf>B&&GainGBPgbpjpy>B&&GainGBPgbpaud>B&&GainGBPgbpcad>B&&GainGBPgbpnzd>B&&GainGBPgbpchf>GainGBPgbpusd&&GainGBPgbpchf>GainGBPeurgbp&&GainGBPgbpchf>GainGBPgbpjpy&&GainGBPgbpchf>GainGBPgbpaud&&GainGBPgbpchf>GainGBPgbpcad&&GainGBPgbpchf>GainGBPgbpnzd)buygbpchfOrder = SIGNAL_BUY_GBPCHF;else buygbpchfOrder=SIGNAL_NONE;
RefreshRates();if(GainGBPgbpusd>B&&GainGBPeurgbp>B&&GainGBPgbpchf>B&&GainGBPgbpjpy>B&&GainGBPgbpaud>B&&GainGBPgbpcad>B&&GainGBPgbpnzd>B&&GainGBPgbpjpy>GainGBPgbpusd&&GainGBPgbpjpy>GainGBPeurgbp&&GainGBPgbpjpy>GainGBPgbpchf&&GainGBPgbpjpy>GainGBPgbpaud&&GainGBPgbpjpy>GainGBPgbpcad&&GainGBPgbpjpy>GainGBPgbpnzd)buygbpjpyOrder = SIGNAL_BUY_GBPJPY;else buygbpjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainGBPgbpusd>B&&GainGBPeurgbp>B&&GainGBPgbpchf>B&&GainGBPgbpjpy>B&&GainGBPgbpaud>B&&GainGBPgbpcad>B&&GainGBPgbpnzd>B&&GainGBPgbpaud>GainGBPgbpusd&&GainGBPgbpaud>GainGBPeurgbp&&GainGBPgbpaud>GainGBPgbpchf&&GainGBPgbpaud>GainGBPgbpjpy&&GainGBPgbpaud>GainGBPgbpcad&&GainGBPgbpaud>GainGBPgbpnzd)buygbpaudOrder = SIGNAL_BUY_GBPAUD;else buygbpaudOrder=SIGNAL_NONE;
RefreshRates();if(GainGBPgbpusd>B&&GainGBPeurgbp>B&&GainGBPgbpchf>B&&GainGBPgbpjpy>B&&GainGBPgbpaud>B&&GainGBPgbpcad>B&&GainGBPgbpnzd>B&&GainGBPgbpcad>GainGBPgbpusd&&GainGBPgbpcad>GainGBPeurgbp&&GainGBPgbpcad>GainGBPgbpchf&&GainGBPgbpcad>GainGBPgbpjpy&&GainGBPgbpcad>GainGBPgbpaud&&GainGBPgbpcad>GainGBPgbpnzd)buygbpcadOrder = SIGNAL_BUY_GBPCAD;else buygbpcadOrder=SIGNAL_NONE;
RefreshRates();if(GainGBPgbpusd>B&&GainGBPeurgbp>B&&GainGBPgbpchf>B&&GainGBPgbpjpy>B&&GainGBPgbpaud>B&&GainGBPgbpcad>B&&GainGBPgbpnzd>B&&GainGBPgbpnzd>GainGBPgbpusd&&GainGBPgbpnzd>GainGBPeurgbp&&GainGBPgbpnzd>GainGBPgbpchf&&GainGBPgbpnzd>GainGBPgbpjpy&&GainGBPgbpnzd>GainGBPgbpaud&&GainGBPgbpnzd>GainGBPgbpcad)buygbpnzdOrder = SIGNAL_BUY_GBPNZD;else buygbpnzdOrder=SIGNAL_NONE;
RefreshRates();if(GainCHFusdchf>B&&GainCHFeurchf>B&&GainCHFaudchf>B&&GainCHFcadchf>B&&GainCHFchfjpy>B&&GainCHFnzdchf>B&&GainCHFgbpchf>B&&GainCHFusdchf>GainCHFeurchf&&GainCHFusdchf>GainCHFaudchf&&GainCHFusdchf>GainCHFcadchf&&GainCHFusdchf>GainCHFchfjpy&&GainCHFusdchf>GainCHFnzdchf&&GainCHFusdchf>GainCHFgbpchf)sellusdchfOrder = SIGNAL_SELL_USDCHF;else sellusdchfOrder=SIGNAL_NONE;
RefreshRates();if(GainCHFusdchf>B&&GainCHFeurchf>B&&GainCHFaudchf>B&&GainCHFcadchf>B&&GainCHFchfjpy>B&&GainCHFnzdchf>B&&GainCHFgbpchf>B&&GainCHFeurchf>GainCHFusdchf&&GainCHFeurchf>GainCHFaudchf&&GainCHFeurchf>GainCHFcadchf&&GainCHFeurchf>GainCHFchfjpy&&GainCHFeurchf>GainCHFnzdchf&&GainCHFeurchf>GainCHFgbpchf)selleurchfOrder = SIGNAL_SELL_EURCHF;else selleurchfOrder=SIGNAL_NONE;
RefreshRates();if(GainCHFusdchf>B&&GainCHFeurchf>B&&GainCHFaudchf>B&&GainCHFcadchf>B&&GainCHFchfjpy>B&&GainCHFnzdchf>B&&GainCHFgbpchf>B&&GainCHFaudchf>GainCHFusdchf&&GainCHFaudchf>GainCHFeurchf&&GainCHFaudchf>GainCHFcadchf&&GainCHFaudchf>GainCHFchfjpy&&GainCHFaudchf>GainCHFnzdchf&&GainCHFaudchf>GainCHFgbpchf)sellaudchfOrder = SIGNAL_SELL_AUDCHF;else sellaudchfOrder=SIGNAL_NONE;
RefreshRates();if(GainCHFusdchf>B&&GainCHFeurchf>B&&GainCHFaudchf>B&&GainCHFcadchf>B&&GainCHFchfjpy>B&&GainCHFnzdchf>B&&GainCHFgbpchf>B&&GainCHFcadchf>GainCHFusdchf&&GainCHFcadchf>GainCHFeurchf&&GainCHFcadchf>GainCHFaudchf&&GainCHFcadchf>GainCHFchfjpy&&GainCHFcadchf>GainCHFnzdchf&&GainCHFcadchf>GainCHFgbpchf)sellcadchfOrder = SIGNAL_SELL_CADCHF;else sellcadchfOrder=SIGNAL_NONE;
RefreshRates();if(GainCHFusdchf>B&&GainCHFeurchf>B&&GainCHFaudchf>B&&GainCHFcadchf>B&&GainCHFchfjpy>B&&GainCHFnzdchf>B&&GainCHFgbpchf>B&&GainCHFchfjpy>GainCHFusdchf&&GainCHFchfjpy>GainCHFeurchf&&GainCHFchfjpy>GainCHFaudchf&&GainCHFchfjpy>GainCHFcadchf&&GainCHFchfjpy>GainCHFnzdchf&&GainCHFchfjpy>GainCHFgbpchf)buychfjpyOrder = SIGNAL_BUY_CHFJPY;else buychfjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainCHFusdchf>B&&GainCHFeurchf>B&&GainCHFaudchf>B&&GainCHFcadchf>B&&GainCHFchfjpy>B&&GainCHFnzdchf>B&&GainCHFgbpchf>B&&GainCHFnzdchf>GainCHFusdchf&&GainCHFnzdchf>GainCHFeurchf&&GainCHFnzdchf>GainCHFaudchf&&GainCHFnzdchf>GainCHFcadchf&&GainCHFnzdchf>GainCHFchfjpy&&GainCHFnzdchf>GainCHFgbpchf)sellnzdchfOrder = SIGNAL_SELL_NZDCHF;else sellnzdchfOrder=SIGNAL_NONE;
RefreshRates();if(GainCHFusdchf>B&&GainCHFeurchf>B&&GainCHFaudchf>B&&GainCHFcadchf>B&&GainCHFchfjpy>B&&GainCHFnzdchf>B&&GainCHFgbpchf>B&&GainCHFgbpchf>GainCHFusdchf&&GainCHFgbpchf>GainCHFeurchf&&GainCHFgbpchf>GainCHFaudchf&&GainCHFgbpchf>GainCHFcadchf&&GainCHFgbpchf>GainCHFchfjpy&&GainCHFgbpchf>GainCHFnzdchf)sellgbpchfOrder = SIGNAL_SELL_GBPCHF;else sellgbpchfOrder=SIGNAL_NONE;
RefreshRates();if(GainCADusdcad>B&&GainCADaudcad>B&&GainCADcadchf>B&&GainCADcadjpy>B&&GainCADnzdcad>B&&GainCADeurcad>B&&GainCADgbpcad>B&&GainCADusdcad>GainCADaudcad&&GainCADusdcad>GainCADcadchf&&GainCADusdcad>GainCADcadjpy&&GainCADusdcad>GainCADnzdcad&&GainCADusdcad>GainCADeurcad&&GainCADusdcad>GainCADgbpcad)sellusdcadOrder = SIGNAL_SELL_USDCAD;else sellusdcadOrder=SIGNAL_NONE;
RefreshRates();if(GainCADusdcad>B&&GainCADaudcad>B&&GainCADcadchf>B&&GainCADcadjpy>B&&GainCADnzdcad>B&&GainCADeurcad>B&&GainCADgbpcad>B&&GainCADaudcad>GainCADusdcad&&GainCADaudcad>GainCADcadchf&&GainCADaudcad>GainCADcadjpy&&GainCADaudcad>GainCADnzdcad&&GainCADaudcad>GainCADeurcad&&GainCADaudcad>GainCADgbpcad)sellaudcadOrder = SIGNAL_SELL_AUDCAD;else sellaudcadOrder=SIGNAL_NONE;
RefreshRates();if(GainCADusdcad>B&&GainCADaudcad>B&&GainCADcadchf>B&&GainCADcadjpy>B&&GainCADnzdcad>B&&GainCADeurcad>B&&GainCADgbpcad>B&&GainCADcadchf>GainCADusdcad&&GainCADcadchf>GainCADaudcad&&GainCADcadchf>GainCADcadjpy&&GainCADcadchf>GainCADnzdcad&&GainCADcadchf>GainCADeurcad&&GainCADcadchf>GainCADgbpcad)buycadchfOrder = SIGNAL_BUY_CADCHF;else buycadchfOrder=SIGNAL_NONE;
RefreshRates();if(GainCADusdcad>B&&GainCADaudcad>B&&GainCADcadchf>B&&GainCADcadjpy>B&&GainCADnzdcad>B&&GainCADeurcad>B&&GainCADgbpcad>B&&GainCADcadjpy>GainCADusdcad&&GainCADcadjpy>GainCADaudcad&&GainCADcadjpy>GainCADcadchf&&GainCADcadjpy>GainCADnzdcad&&GainCADcadjpy>GainCADeurcad&&GainCADcadjpy>GainCADgbpcad)buycadjpyOrder = SIGNAL_BUY_CADJPY;else buycadjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainCADusdcad>B&&GainCADaudcad>B&&GainCADcadchf>B&&GainCADcadjpy>B&&GainCADnzdcad>B&&GainCADeurcad>B&&GainCADgbpcad>B&&GainCADnzdcad>GainCADusdcad&&GainCADnzdcad>GainCADaudcad&&GainCADnzdcad>GainCADcadchf&&GainCADnzdcad>GainCADcadjpy&&GainCADnzdcad>GainCADeurcad&&GainCADnzdcad>GainCADgbpcad)sellnzdcadOrder = SIGNAL_SELL_NZDCAD;else sellnzdcadOrder=SIGNAL_NONE;
RefreshRates();if(GainCADusdcad>B&&GainCADaudcad>B&&GainCADcadchf>B&&GainCADcadjpy>B&&GainCADnzdcad>B&&GainCADeurcad>B&&GainCADgbpcad>B&&GainCADeurcad>GainCADusdcad&&GainCADeurcad>GainCADaudcad&&GainCADeurcad>GainCADcadchf&&GainCADeurcad>GainCADcadjpy&&GainCADeurcad>GainCADnzdcad&&GainCADeurcad>GainCADgbpcad)selleurcadOrder = SIGNAL_SELL_EURCAD;else selleurcadOrder=SIGNAL_NONE;
RefreshRates();if(GainCADusdcad>B&&GainCADaudcad>B&&GainCADcadchf>B&&GainCADcadjpy>B&&GainCADnzdcad>B&&GainCADeurcad>B&&GainCADgbpcad>B&&GainCADgbpcad>GainCADusdcad&&GainCADgbpcad>GainCADaudcad&&GainCADgbpcad>GainCADcadchf&&GainCADgbpcad>GainCADcadjpy&&GainCADgbpcad>GainCADnzdcad&&GainCADgbpcad>GainCADeurcad)sellgbpcadOrder = SIGNAL_SELL_GBPCAD;else sellgbpcadOrder=SIGNAL_NONE;
RefreshRates();if(GainAUDaudusd>B&&GainAUDaudcad>B&&GainAUDaudchf>B&&GainAUDaudjpy>B&&GainAUDeuraud>B&&GainAUDaudnzd>B&&GainAUDgbpaud>B&&GainAUDaudusd>GainAUDaudcad&&GainAUDaudusd>GainAUDaudchf&&GainAUDaudusd>GainAUDaudjpy&&GainAUDaudusd>GainAUDeuraud&&GainAUDaudusd>GainAUDaudnzd&&GainAUDaudusd>GainAUDgbpaud)buyaudusdOrder = SIGNAL_BUY_AUDUSD;else buyaudusdOrder=SIGNAL_NONE;
RefreshRates();if(GainAUDaudusd>B&&GainAUDaudcad>B&&GainAUDaudchf>B&&GainAUDaudjpy>B&&GainAUDeuraud>B&&GainAUDaudnzd>B&&GainAUDgbpaud>B&&GainAUDaudcad>GainAUDaudusd&&GainAUDaudcad>GainAUDaudchf&&GainAUDaudcad>GainAUDaudjpy&&GainAUDaudcad>GainAUDeuraud&&GainAUDaudcad>GainAUDaudnzd&&GainAUDaudcad>GainAUDgbpaud)buyaudcadOrder = SIGNAL_BUY_AUDCAD;else buyaudcadOrder=SIGNAL_NONE;
RefreshRates();if(GainAUDaudusd>B&&GainAUDaudcad>B&&GainAUDaudchf>B&&GainAUDaudjpy>B&&GainAUDeuraud>B&&GainAUDaudnzd>B&&GainAUDgbpaud>B&&GainAUDaudchf>GainAUDaudusd&&GainAUDaudchf>GainAUDaudcad&&GainAUDaudchf>GainAUDaudjpy&&GainAUDaudchf>GainAUDeuraud&&GainAUDaudchf>GainAUDaudnzd&&GainAUDaudchf>GainAUDgbpaud)buyaudchfOrder = SIGNAL_BUY_AUDCHF;else buyaudchfOrder=SIGNAL_NONE;
RefreshRates();if(GainAUDaudusd>B&&GainAUDaudcad>B&&GainAUDaudchf>B&&GainAUDaudjpy>B&&GainAUDeuraud>B&&GainAUDaudnzd>B&&GainAUDgbpaud>B&&GainAUDaudjpy>GainAUDaudusd&&GainAUDaudjpy>GainAUDaudcad&&GainAUDaudjpy>GainAUDaudchf&&GainAUDaudjpy>GainAUDeuraud&&GainAUDaudjpy>GainAUDaudnzd&&GainAUDaudjpy>GainAUDgbpaud)buyaudjpyOrder = SIGNAL_BUY_AUDJPY;else buyaudjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainAUDaudusd>B&&GainAUDaudcad>B&&GainAUDaudchf>B&&GainAUDaudjpy>B&&GainAUDeuraud>B&&GainAUDaudnzd>B&&GainAUDgbpaud>B&&GainAUDeuraud>GainAUDaudusd&&GainAUDeuraud>GainAUDaudcad&&GainAUDeuraud>GainAUDaudchf&&GainAUDeuraud>GainAUDaudjpy&&GainAUDeuraud>GainAUDaudnzd&&GainAUDeuraud>GainAUDgbpaud)selleuraudOrder = SIGNAL_SELL_EURAUD;else selleuraudOrder=SIGNAL_NONE;
RefreshRates();if(GainAUDaudusd>B&&GainAUDaudcad>B&&GainAUDaudchf>B&&GainAUDaudjpy>B&&GainAUDeuraud>B&&GainAUDaudnzd>B&&GainAUDgbpaud>B&&GainAUDaudnzd>GainAUDaudusd&&GainAUDaudnzd>GainAUDaudcad&&GainAUDaudnzd>GainAUDaudchf&&GainAUDaudnzd>GainAUDaudjpy&&GainAUDaudnzd>GainAUDeuraud&&GainAUDaudnzd>GainAUDgbpaud)buyaudnzdOrder = SIGNAL_BUY_AUDNZD;else buyaudnzdOrder=SIGNAL_NONE;
RefreshRates();if(GainAUDaudusd>B&&GainAUDaudcad>B&&GainAUDaudchf>B&&GainAUDaudjpy>B&&GainAUDeuraud>B&&GainAUDaudnzd>B&&GainAUDgbpaud>B&&GainAUDgbpaud>GainAUDaudusd&&GainAUDgbpaud>GainAUDaudcad&&GainAUDgbpaud>GainAUDaudchf&&GainAUDgbpaud>GainAUDaudjpy&&GainAUDgbpaud>GainAUDeuraud&&GainAUDgbpaud>GainAUDaudnzd)sellgbpaudOrder = SIGNAL_SELL_GBPAUD;else sellgbpaudOrder=SIGNAL_NONE;
RefreshRates();if(GainJPYusdjpy>B&&GainJPYeurjpy>B&&GainJPYaudjpy>B&&GainJPYcadjpy>B&&GainJPYchfjpy>B&&GainJPYnzdjpy>B&&GainJPYgbpjpy>B&&GainJPYusdjpy>GainJPYeurjpy&&GainJPYusdjpy>GainJPYaudjpy&&GainJPYusdjpy>GainJPYcadjpy&&GainJPYusdjpy>GainJPYchfjpy&&GainJPYusdjpy>GainJPYnzdjpy&&GainJPYusdjpy>GainJPYgbpjpy)sellusdjpyOrder = SIGNAL_SELL_USDJPY;else sellusdjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainJPYusdjpy>B&&GainJPYeurjpy>B&&GainJPYaudjpy>B&&GainJPYcadjpy>B&&GainJPYchfjpy>B&&GainJPYnzdjpy>B&&GainJPYgbpjpy>B&&GainJPYeurjpy>GainJPYusdjpy&&GainJPYeurjpy>GainJPYaudjpy&&GainJPYeurjpy>GainJPYcadjpy&&GainJPYeurjpy>GainJPYchfjpy&&GainJPYeurjpy>GainJPYnzdjpy&&GainJPYeurjpy>GainJPYgbpjpy)selleurjpyOrder = SIGNAL_SELL_EURJPY;else selleurjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainJPYusdjpy>B&&GainJPYeurjpy>B&&GainJPYaudjpy>B&&GainJPYcadjpy>B&&GainJPYchfjpy>B&&GainJPYnzdjpy>B&&GainJPYgbpjpy>B&&GainJPYaudjpy>GainJPYusdjpy&&GainJPYaudjpy>GainJPYeurjpy&&GainJPYaudjpy>GainJPYcadjpy&&GainJPYaudjpy>GainJPYchfjpy&&GainJPYaudjpy>GainJPYnzdjpy&&GainJPYaudjpy>GainJPYgbpjpy)sellaudjpyOrder = SIGNAL_SELL_AUDJPY;else sellaudjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainJPYusdjpy>B&&GainJPYeurjpy>B&&GainJPYaudjpy>B&&GainJPYcadjpy>B&&GainJPYchfjpy>B&&GainJPYnzdjpy>B&&GainJPYgbpjpy>B&&GainJPYcadjpy>GainJPYusdjpy&&GainJPYcadjpy>GainJPYeurjpy&&GainJPYcadjpy>GainJPYaudjpy&&GainJPYcadjpy>GainJPYchfjpy&&GainJPYcadjpy>GainJPYnzdjpy&&GainJPYcadjpy>GainJPYgbpjpy)sellcadjpyOrder = SIGNAL_SELL_CADJPY;else sellcadjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainJPYusdjpy>B&&GainJPYeurjpy>B&&GainJPYaudjpy>B&&GainJPYcadjpy>B&&GainJPYchfjpy>B&&GainJPYnzdjpy>B&&GainJPYgbpjpy>B&&GainJPYchfjpy>GainJPYusdjpy&&GainJPYchfjpy>GainJPYeurjpy&&GainJPYchfjpy>GainJPYaudjpy&&GainJPYchfjpy>GainJPYcadjpy&&GainJPYchfjpy>GainJPYnzdjpy&&GainJPYchfjpy>GainJPYgbpjpy)sellchfjpyOrder = SIGNAL_SELL_CHFJPY;else sellchfjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainJPYusdjpy>B&&GainJPYeurjpy>B&&GainJPYaudjpy>B&&GainJPYcadjpy>B&&GainJPYchfjpy>B&&GainJPYnzdjpy>B&&GainJPYgbpjpy>B&&GainJPYnzdjpy>GainJPYusdjpy&&GainJPYnzdjpy>GainJPYeurjpy&&GainJPYnzdjpy>GainJPYaudjpy&&GainJPYnzdjpy>GainJPYcadjpy&&GainJPYnzdjpy>GainJPYchfjpy&&GainJPYnzdjpy>GainJPYgbpjpy)sellnzdjpyOrder = SIGNAL_SELL_NZDJPY;else sellnzdjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainJPYusdjpy>B&&GainJPYeurjpy>B&&GainJPYaudjpy>B&&GainJPYcadjpy>B&&GainJPYchfjpy>B&&GainJPYnzdjpy>B&&GainJPYgbpjpy>B&&GainJPYgbpjpy>GainJPYusdjpy&&GainJPYgbpjpy>GainJPYeurjpy&&GainJPYgbpjpy>GainJPYaudjpy&&GainJPYgbpjpy>GainJPYcadjpy&&GainJPYgbpjpy>GainJPYchfjpy&&GainJPYgbpjpy>GainJPYnzdjpy)sellgbpjpyOrder = SIGNAL_SELL_GBPJPY;else sellgbpjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainNZDnzdusd>B&&GainNZDnzdcad>B&&GainNZDnzdchf>B&&GainNZDnzdjpy>B&&GainNZDaudnzd>B&&GainNZDeurnzd>B&&GainNZDgbpnzd>B&&GainNZDnzdusd>GainNZDnzdcad&&GainNZDnzdusd>GainNZDnzdchf&&GainNZDnzdusd>GainNZDnzdjpy&&GainNZDnzdusd>GainNZDaudnzd&&GainNZDnzdusd>GainNZDeurnzd&&GainNZDnzdusd>GainNZDgbpnzd)buynzdusdOrder = SIGNAL_BUY_NZDUSD;else buynzdusdOrder=SIGNAL_NONE;
RefreshRates();if(GainNZDnzdusd>B&&GainNZDnzdcad>B&&GainNZDnzdchf>B&&GainNZDnzdjpy>B&&GainNZDaudnzd>B&&GainNZDeurnzd>B&&GainNZDgbpnzd>B&&GainNZDnzdcad>GainNZDnzdusd&&GainNZDnzdcad>GainNZDnzdchf&&GainNZDnzdcad>GainNZDnzdjpy&&GainNZDnzdcad>GainNZDaudnzd&&GainNZDnzdcad>GainNZDeurnzd&&GainNZDnzdcad>GainNZDgbpnzd)buynzdcadOrder = SIGNAL_BUY_NZDCAD;else buynzdcadOrder=SIGNAL_NONE;
RefreshRates();if(GainNZDnzdusd>B&&GainNZDnzdcad>B&&GainNZDnzdchf>B&&GainNZDnzdjpy>B&&GainNZDaudnzd>B&&GainNZDeurnzd>B&&GainNZDgbpnzd>B&&GainNZDnzdchf>GainNZDnzdusd&&GainNZDnzdchf>GainNZDnzdcad&&GainNZDnzdchf>GainNZDnzdjpy&&GainNZDnzdchf>GainNZDaudnzd&&GainNZDnzdchf>GainNZDeurnzd&&GainNZDnzdchf>GainNZDgbpnzd)buynzdchfOrder = SIGNAL_BUY_NZDCHF;else buynzdchfOrder=SIGNAL_NONE;
RefreshRates();if(GainNZDnzdusd>B&&GainNZDnzdcad>B&&GainNZDnzdchf>B&&GainNZDnzdjpy>B&&GainNZDaudnzd>B&&GainNZDeurnzd>B&&GainNZDgbpnzd>B&&GainNZDnzdjpy>GainNZDnzdusd&&GainNZDnzdjpy>GainNZDnzdcad&&GainNZDnzdjpy>GainNZDnzdchf&&GainNZDnzdjpy>GainNZDaudnzd&&GainNZDnzdjpy>GainNZDeurnzd&&GainNZDnzdjpy>GainNZDgbpnzd)buynzdjpyOrder = SIGNAL_BUY_NZDJPY;else buynzdjpyOrder=SIGNAL_NONE;
RefreshRates();if(GainNZDnzdusd>B&&GainNZDnzdcad>B&&GainNZDnzdchf>B&&GainNZDnzdjpy>B&&GainNZDaudnzd>B&&GainNZDeurnzd>B&&GainNZDgbpnzd>B&&GainNZDaudnzd>GainNZDnzdusd&&GainNZDaudnzd>GainNZDnzdcad&&GainNZDaudnzd>GainNZDnzdchf&&GainNZDaudnzd>GainNZDnzdjpy&&GainNZDaudnzd>GainNZDeurnzd&&GainNZDaudnzd>GainNZDgbpnzd)sellaudnzdOrder = SIGNAL_SELL_AUDNZD;else sellaudnzdOrder=SIGNAL_NONE;
RefreshRates();if(GainNZDnzdusd>B&&GainNZDnzdcad>B&&GainNZDnzdchf>B&&GainNZDnzdjpy>B&&GainNZDaudnzd>B&&GainNZDeurnzd>B&&GainNZDgbpnzd>B&&GainNZDeurnzd>GainNZDnzdusd&&GainNZDeurnzd>GainNZDnzdcad&&GainNZDeurnzd>GainNZDnzdchf&&GainNZDeurnzd>GainNZDnzdjpy&&GainNZDeurnzd>GainNZDaudnzd&&GainNZDeurnzd>GainNZDgbpnzd)selleurnzdOrder = SIGNAL_SELL_EURNZD;else selleurnzdOrder=SIGNAL_NONE;
RefreshRates();if(GainNZDnzdusd>B&&GainNZDnzdcad>B&&GainNZDnzdchf>B&&GainNZDnzdjpy>B&&GainNZDaudnzd>B&&GainNZDeurnzd>B&&GainNZDgbpnzd>B&&GainNZDgbpnzd>GainNZDnzdusd&&GainNZDgbpnzd>GainNZDnzdcad&&GainNZDgbpnzd>GainNZDnzdchf&&GainNZDgbpnzd>GainNZDnzdjpy&&GainNZDgbpnzd>GainNZDaudnzd&&GainNZDgbpnzd>GainNZDeurnzd)sellgbpnzdOrder = SIGNAL_SELL_GBPNZD;else sellgbpnzdOrder=SIGNAL_NONE;



   //+------------------------------------------------------------------+
   //| Signal End                                                       |
   //+------------------------------------------------------------------+

   //Buy USDJPY
   if (buyusdjpyOrder == SIGNAL_BUY_USDJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("USDJPY",MODE_ASK) - StopLoss * MarketInfo("USDJPY",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("USDJPY",MODE_ASK) + TakeProfit * MarketInfo("USDJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//USDJPY dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slUSDJPY) / usdjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("USDJPY", OP_BUY, ilots, MarketInfo("USDJPY",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy USDCHF
   if (buyusdchfOrder == SIGNAL_BUY_USDCHF&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("USDCHF",MODE_ASK) - StopLoss * MarketInfo("USDCHF",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("USDCHF",MODE_ASK) + TakeProfit * MarketInfo("USDCHF",MODE_POINT); else TakeProfitLevel = 0.0;
//USDCHF dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slUSDCHF) / usdchfTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("USDCHF", OP_BUY, ilots, MarketInfo("USDCHF",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy USDCAD
   if (buyusdcadOrder == SIGNAL_BUY_USDCAD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("USDCAD",MODE_ASK) - StopLoss * MarketInfo("USDCAD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("USDCAD",MODE_ASK) + TakeProfit * MarketInfo("USDCAD",MODE_POINT); else TakeProfitLevel = 0.0;
//USDCAD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slUSDCAD) / usdcadTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("USDCAD", OP_BUY, ilots, MarketInfo("USDCAD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy EURUSD
   if (buyeurusdOrder == SIGNAL_BUY_EURUSD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("EURUSD",MODE_ASK) - StopLoss * MarketInfo("EURUSD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURUSD",MODE_ASK) + TakeProfit * MarketInfo("EURUSD",MODE_POINT); else TakeProfitLevel = 0.0;
//EURUSD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURUSD) / eurusdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         

         Ticket = OrderSend("EURUSD", OP_BUY, ilots, MarketInfo("EURUSD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy EURJPY
   if (buyeurjpyOrder == SIGNAL_BUY_EURJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("EURJPY",MODE_ASK) - StopLoss * MarketInfo("EURJPY",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURJPY",MODE_ASK) + TakeProfit * MarketInfo("EURJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//EURJPY dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURJPY) / eurjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("EURJPY", OP_BUY, ilots, MarketInfo("EURJPY",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy EURCHF
   if (buyeurchfOrder == SIGNAL_BUY_EURCHF&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("EURCHF",MODE_ASK) - StopLoss * MarketInfo("EURCHF",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURCHF",MODE_ASK) + TakeProfit * MarketInfo("EURCHF",MODE_POINT); else TakeProfitLevel = 0.0;
//EURCHF dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURCHF) / eurchfTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("EURCHF", OP_BUY, ilots, MarketInfo("EURCHF",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy EURGBP
   if (buyeurgbpOrder == SIGNAL_BUY_EURGBP&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("EURGBP",MODE_ASK) - StopLoss * MarketInfo("EURGBP",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURGBP",MODE_ASK) + TakeProfit * MarketInfo("EURGBP",MODE_POINT); else TakeProfitLevel = 0.0;
//EURGBP dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURGBP) / eurgbpTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("EURGBP", OP_BUY, ilots, MarketInfo("EURGBP",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy EURAUD
  if (buyeuraudOrder == SIGNAL_BUY_EURAUD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("EURAUD",MODE_ASK) - StopLoss * MarketInfo("EURAUD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURAUD",MODE_ASK) + TakeProfit * MarketInfo("EURAUD",MODE_POINT); else TakeProfitLevel = 0.0;
//EURAUD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURAUD) / euraudTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("EURAUD", OP_BUY, ilots, MarketInfo("EURAUD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy EURCAD
   if (buyeurcadOrder == SIGNAL_BUY_EURCAD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("EURCAD",MODE_ASK) - StopLoss * MarketInfo("EURCAD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURCAD",MODE_ASK) + TakeProfit * MarketInfo("EURCAD",MODE_POINT); else TakeProfitLevel = 0.0;
//EURCAD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURCAD) / eurcadTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("EURCAD", OP_BUY, ilots, MarketInfo("EURCAD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy EURNZD
   if (buyeurnzdOrder == SIGNAL_BUY_EURNZD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("EURNZD",MODE_ASK) - StopLoss * MarketInfo("EURNZD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURNZD",MODE_ASK) + TakeProfit * MarketInfo("EURNZD",MODE_POINT); else TakeProfitLevel = 0.0;
//EURNZD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURNZD) / eurnzdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("EURNZD", OP_BUY, ilots, MarketInfo("EURNZD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy GBPUSD
   if (buygbpusdOrder == SIGNAL_BUY_GBPUSD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("GBPUSD",MODE_ASK) - StopLoss * MarketInfo("GBPUSD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("GBPUSD",MODE_ASK) + TakeProfit * MarketInfo("GBPUSD",MODE_POINT); else TakeProfitLevel = 0.0;
//GBPUSD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slGBPUSD) / gbpusdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("GBPUSD", OP_BUY, ilots, MarketInfo("GBPUSD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy GBPCHF
   if (buygbpchfOrder == SIGNAL_BUY_GBPCHF&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("GBPCHF",MODE_ASK) - StopLoss * MarketInfo("GBPCHF",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("GBPCHF",MODE_ASK) + TakeProfit * MarketInfo("GBPCHF",MODE_POINT); else TakeProfitLevel = 0.0;
//GBPCHF dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slGBPCHF) / gbpchfTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("GBPCHF", OP_BUY, ilots, MarketInfo("GBPCHF",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy GBPJPY
   if (buygbpjpyOrder == SIGNAL_BUY_GBPJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("GBPJPY",MODE_ASK) - StopLoss * MarketInfo("GBPJPY",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("GBPJPY",MODE_ASK) + TakeProfit * MarketInfo("GBPJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//GBPJPY dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slGBPJPY) / gbpjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("GBPJPY", OP_BUY, ilots, MarketInfo("GBPJPY",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy GBPAUD
   if (buygbpaudOrder == SIGNAL_BUY_GBPAUD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("GBPAUD",MODE_ASK) - StopLoss * MarketInfo("GBPAUD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("GBPAUD",MODE_ASK) + TakeProfit * MarketInfo("GBPAUD",MODE_POINT); else TakeProfitLevel = 0.0;
//GBPAUD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slGBPAUD) / gbpaudTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("GBPAUD", OP_BUY, ilots, MarketInfo("GBPAUD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy GBPNZD
   if (buygbpnzdOrder == SIGNAL_BUY_GBPNZD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("GBPNZD",MODE_ASK) - StopLoss * MarketInfo("GBPNZD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("GBPNZD",MODE_ASK) + TakeProfit * MarketInfo("GBPNZD",MODE_POINT); else TakeProfitLevel = 0.0;
//GBPNZD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slGBPNZD) / gbpnzdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("GBPNZD", OP_BUY, ilots, MarketInfo("GBPNZD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy CADCHF
   if (buycadchfOrder == SIGNAL_BUY_CADCHF&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("CADCHF",MODE_ASK) - StopLoss * MarketInfo("CADCHF",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("CADCHF",MODE_ASK) + TakeProfit * MarketInfo("CADCHF",MODE_POINT); else TakeProfitLevel = 0.0;
//CADCHF dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slCADCHF) / cadchfTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("CADCHF", OP_BUY, ilots, MarketInfo("CADCHF",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy CADJPY
   if (buycadjpyOrder == SIGNAL_BUY_CADJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("CADJPY",MODE_ASK) - StopLoss * MarketInfo("CADJPY",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("CADJPY",MODE_ASK) + TakeProfit * MarketInfo("CADJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//CADJPY dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slCADJPY) / cadjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("CADJPY", OP_BUY, ilots, MarketInfo("CADJPY",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy AUDUSD
   if (buyaudusdOrder == SIGNAL_BUY_AUDUSD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("AUDUSD",MODE_ASK) - StopLoss * MarketInfo("AUDUSD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("AUDUSD",MODE_ASK) + TakeProfit * MarketInfo("AUDUSD",MODE_POINT); else TakeProfitLevel = 0.0;
//AUDUSD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slAUDUSD) / audusdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("AUDUSD", OP_BUY, ilots, MarketInfo("AUDUSD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy AUDCAD
   if (buyaudcadOrder == SIGNAL_BUY_AUDCAD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("AUDCAD",MODE_ASK) - StopLoss * MarketInfo("AUDCAD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("AUDCAD",MODE_ASK) + TakeProfit * MarketInfo("AUDCAD",MODE_POINT); else TakeProfitLevel = 0.0;
//AUDCAD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slAUDCAD) / audcadTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("AUDCAD", OP_BUY, ilots, MarketInfo("AUDCAD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy AUDCHF
   if (buyaudchfOrder == SIGNAL_BUY_AUDCHF&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount))))

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("AUDCHF",MODE_ASK) - StopLoss * MarketInfo("AUDCHF",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("AUDCHF",MODE_ASK) + TakeProfit * MarketInfo("AUDCHF",MODE_POINT); else TakeProfitLevel = 0.0;
//AUDCHF dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slAUDCHF) / audchfTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("AUDCHF", OP_BUY, ilots, MarketInfo("AUDCHF",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy AUDJPY
   if (buyaudjpyOrder == SIGNAL_BUY_AUDJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("AUDJPY",MODE_ASK) - StopLoss * MarketInfo("AUDJPY",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("AUDJPY",MODE_ASK) + TakeProfit * MarketInfo("AUDJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//AUDJPY dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slAUDJPY) / audjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("AUDJPY", OP_BUY, ilots, MarketInfo("AUDJPY",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy AUDNZD
   if (buyaudnzdOrder == SIGNAL_BUY_AUDNZD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("AUDNZD",MODE_ASK) - StopLoss * MarketInfo("AUDNZD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("AUDNZD",MODE_ASK) + TakeProfit * MarketInfo("AUDNZD",MODE_POINT); else TakeProfitLevel = 0.0;
//AUDNZD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slAUDNZD) / audnzdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("AUDNZD", OP_BUY, ilots, MarketInfo("AUDNZD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy NZDUSD
   if (buynzdusdOrder == SIGNAL_BUY_NZDUSD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("NZDUSD",MODE_ASK) - StopLoss * MarketInfo("NZDUSD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("NZDUSD",MODE_ASK) + TakeProfit * MarketInfo("NZDUSD",MODE_POINT); else TakeProfitLevel = 0.0;
 //NZDUSD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slNZDUSD) / nzdusdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("NZDUSD", OP_BUY, ilots, MarketInfo("NZDUSD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy NZDCAD
   if (buynzdcadOrder == SIGNAL_BUY_NZDCAD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("NZDCAD",MODE_ASK) - StopLoss * MarketInfo("NZDCAD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("NZDCAD",MODE_ASK) + TakeProfit * MarketInfo("NZDCAD",MODE_POINT); else TakeProfitLevel = 0.0;
//NZDCAD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slNZDCAD) / nzdcadTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("NZDCAD", OP_BUY, ilots, MarketInfo("NZDCAD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy NZDCHF
   if (buynzdchfOrder == SIGNAL_BUY_NZDCHF&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("NZDCHF",MODE_ASK) - StopLoss * MarketInfo("NZDCHF",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("NZDCHF",MODE_ASK) + TakeProfit * MarketInfo("NZDCHF",MODE_POINT); else TakeProfitLevel = 0.0;
//NZDCHF dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slNZDCHF) / nzdchfTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("NZDCHF", OP_BUY, ilots, MarketInfo("NZDCHF",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy NZDJPY
   if (buynzdjpyOrder == SIGNAL_BUY_NZDJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("NZDJPY",MODE_ASK) - StopLoss * MarketInfo("NZDJPY",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("NZDJPY",MODE_ASK) + TakeProfit * MarketInfo("NZDJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//NZDJPYdynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slNZDJPY) / nzdjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("NZDJPY", OP_BUY, ilots, MarketInfo("NZDJPY",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy CHFJPY
   if (buychfjpyOrder == SIGNAL_BUY_CHFJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("CHFJPY",MODE_ASK) - StopLoss * MarketInfo("CHFJPY",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("CHFJPY",MODE_ASK) + TakeProfit * MarketInfo("CHFJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//CHFJPYdynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slCHFJPY) / chfjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("CHFJPY", OP_BUY, ilots, MarketInfo("CHFJPY",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

   //Buy GBPCAD
   if (buygbpcadOrder == SIGNAL_BUY_GBPCAD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) 
      {
         if (UseStopLoss) StopLossLevel = MarketInfo("GBPCAD",MODE_ASK) - StopLoss * MarketInfo("GBPCAD",MODE_POINT); else StopLossLevel = 0.0;
         if (UseTakeProfit) TakeProfitLevel = MarketInfo("GBPCAD",MODE_ASK) + TakeProfit * MarketInfo("GBPCAD",MODE_POINT); else TakeProfitLevel = 0.0;
//GBPCAD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slGBPCAD) / gbpcadTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
         Ticket = OrderSend("GBPCAD", OP_BUY, ilots, MarketInfo("GBPCAD",MODE_ASK), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DodgerBlue);
         if(Ticket > 0) {
            if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
               Print("BUY order opened : ", OrderOpenPrice());
                } else 
                  {
                  Print("Error opening BUY order : ", GetLastError());
                  }
                        }
         if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }



//SELL...............................................................................------------------

//Sell EURUSD

   if (selleurusdOrder == SIGNAL_SELL_EURUSD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("EURUSD",MODE_BID) + StopLoss * MarketInfo("EURUSD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURUSD",MODE_BID) - TakeProfit * MarketInfo("EURUSD",MODE_POINT); else TakeProfitLevel = 0.0;
//EURUSD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURUSD) / eurusdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;         
               Ticket = OrderSend("EURUSD", OP_SELL, ilots, MarketInfo("EURUSD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
    if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell GBPUSD

   if (sellgbpusdOrder == SIGNAL_SELL_GBPUSD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("GBPUSD",MODE_BID) + StopLoss * MarketInfo("GBPUSD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("GBPUSD",MODE_BID) - TakeProfit * MarketInfo("GBPUSD",MODE_POINT); else TakeProfitLevel = 0.0;
//GBPUSD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slGBPUSD) / gbpusdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("GBPUSD", OP_SELL, ilots, MarketInfo("GBPUSD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
    if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell AUDUSD

   if (sellaudusdOrder == SIGNAL_SELL_AUDUSD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("AUDUSD",MODE_BID) + StopLoss * MarketInfo("AUDUSD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("AUDUSD",MODE_BID) - TakeProfit * MarketInfo("AUDUSD",MODE_POINT); else TakeProfitLevel = 0.0;
//AUDUSD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slAUDUSD) / audusdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("AUDUSD", OP_SELL, ilots, MarketInfo("AUDUSD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
      if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell NZDUSD

   if (sellnzdusdOrder == SIGNAL_SELL_NZDUSD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("NZDUSD",MODE_BID) + StopLoss * MarketInfo("NZDUSD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("NZDUSD",MODE_BID) - TakeProfit * MarketInfo("NZDUSD",MODE_POINT); else TakeProfitLevel = 0.0;
//NZDUSD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slNZDUSD) / nzdusdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("NZDUSD", OP_SELL, ilots, MarketInfo("NZDUSD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell EURGBP

   if (selleurgbpOrder == SIGNAL_SELL_EURGBP&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("EURGBP",MODE_BID) + StopLoss * MarketInfo("EURGBP",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURGBP",MODE_BID) - TakeProfit * MarketInfo("EURGBP",MODE_POINT); else TakeProfitLevel = 0.0;
//EURGBP dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURGBP) / eurgbpTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("EURGBP", OP_SELL, ilots, MarketInfo("EURGBP",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell USDCHF

   if (sellusdchfOrder == SIGNAL_SELL_USDCHF&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("USDCHF",MODE_BID) + StopLoss * MarketInfo("USDCHF",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("USDCHF",MODE_BID) - TakeProfit * MarketInfo("USDCHF",MODE_POINT); else TakeProfitLevel = 0.0;
//USDCHF dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slUSDCHF) / usdchfTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("USDCHF", OP_SELL, ilots, MarketInfo("USDCHF",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell EURCHF

   if (selleurchfOrder == SIGNAL_SELL_EURCHF&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("EURCHF",MODE_BID) + StopLoss * MarketInfo("EURCHF",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURCHF",MODE_BID) - TakeProfit * MarketInfo("EURCHF",MODE_POINT); else TakeProfitLevel = 0.0;
//EURCHF dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURCHF) / eurchfTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("EURCHF", OP_SELL, ilots, MarketInfo("EURCHF",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell AUDCHF

   if (sellaudchfOrder == SIGNAL_SELL_AUDCHF&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("AUDCHF",MODE_BID) + StopLoss * MarketInfo("AUDCHF",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("AUDCHF",MODE_BID) - TakeProfit * MarketInfo("AUDCHF",MODE_POINT); else TakeProfitLevel = 0.0;
//AUDCHF dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slAUDCHF) / audchfTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("AUDCHF", OP_SELL, ilots, MarketInfo("AUDCHF",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell CADCHF

   if (sellcadchfOrder == SIGNAL_SELL_CADCHF&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("CADCHF",MODE_BID) + StopLoss * MarketInfo("CADCHF",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("CADCHF",MODE_BID) - TakeProfit * MarketInfo("CADCHF",MODE_POINT); else TakeProfitLevel = 0.0;
//CADCHF dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slCADCHF) / cadchfTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("CADCHF", OP_SELL, ilots, MarketInfo("CADCHF",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell NZDCHF

   if (sellnzdchfOrder == SIGNAL_SELL_NZDCHF&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("NZDCHF",MODE_BID) + StopLoss * MarketInfo("NZDCHF",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("NZDCHF",MODE_BID) - TakeProfit * MarketInfo("NZDCHF",MODE_POINT); else TakeProfitLevel = 0.0;
//NZDCHF dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slNZDCHF) / nzdchfTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("NZDCHF", OP_SELL, ilots, MarketInfo("NZDCHF",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell GBPCHF

   if (sellgbpchfOrder == SIGNAL_SELL_GBPCHF&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("GBPCHF",MODE_BID) + StopLoss * MarketInfo("GBPCHF",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("GBPCHF",MODE_BID) - TakeProfit * MarketInfo("GBPCHF",MODE_POINT); else TakeProfitLevel = 0.0;
//GBPCHF dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slGBPCHF) / gbpchfTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("GBPCHF", OP_SELL, ilots, MarketInfo("GBPCHF",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell USDCAD

   if (sellusdcadOrder == SIGNAL_SELL_USDCAD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("USDCAD",MODE_BID) + StopLoss * MarketInfo("USDCAD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("USDCAD",MODE_BID) - TakeProfit * MarketInfo("USDCAD",MODE_POINT); else TakeProfitLevel = 0.0;
//USDCAD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slUSDCAD) / usdcadTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("USDCAD", OP_SELL, ilots, MarketInfo("USDCAD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell AUDCAD

   if (sellaudcadOrder == SIGNAL_SELL_AUDCAD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("AUDCAD",MODE_BID) + StopLoss * MarketInfo("AUDCAD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("AUDCAD",MODE_BID) - TakeProfit * MarketInfo("AUDCAD",MODE_POINT); else TakeProfitLevel = 0.0;
//AUDCAD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slAUDCAD) / audcadTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("AUDCAD", OP_SELL, ilots, MarketInfo("AUDCAD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell NZDCAD

   if (sellnzdcadOrder == SIGNAL_SELL_NZDCAD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("NZDCAD",MODE_BID) + StopLoss * MarketInfo("NZDCAD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("NZDCAD",MODE_BID) - TakeProfit * MarketInfo("NZDCAD",MODE_POINT); else TakeProfitLevel = 0.0;
//NZDCAD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slNZDCAD) / nzdcadTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("NZDCAD", OP_SELL, ilots, MarketInfo("NZDCAD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell EURCAD

   if (selleurcadOrder == SIGNAL_SELL_EURCAD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("EURCAD",MODE_BID) + StopLoss * MarketInfo("EURCAD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURCAD",MODE_BID) - TakeProfit * MarketInfo("EURCAD",MODE_POINT); else TakeProfitLevel = 0.0;
//EURCAD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURCAD) / eurcadTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("EURCAD", OP_SELL, ilots, MarketInfo("EURCAD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell GBPCAD

   if (sellgbpcadOrder == SIGNAL_SELL_GBPCAD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 
   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("GBPCAD",MODE_BID) + StopLoss * MarketInfo("GBPCAD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("GBPCAD",MODE_BID) - TakeProfit * MarketInfo("GBPCAD",MODE_POINT); else TakeProfitLevel = 0.0;
//GBPCAD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slGBPCAD) / gbpcadTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("GBPCAD", OP_SELL, ilots, MarketInfo("GBPCAD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell EURAUD

   if (selleuraudOrder == SIGNAL_SELL_EURAUD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("EURAUD",MODE_BID) + StopLoss * MarketInfo("EURAUD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURAUD",MODE_BID) - TakeProfit * MarketInfo("EURAUD",MODE_POINT); else TakeProfitLevel = 0.0;
//EURAUD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURAUD) / euraudTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("EURAUD", OP_SELL, ilots, MarketInfo("EURAUD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell GBPAUD

   if (sellgbpaudOrder == SIGNAL_SELL_GBPAUD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("GBPAUD",MODE_BID) + StopLoss * MarketInfo("GBPAUD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("GBPAUD",MODE_BID) - TakeProfit * MarketInfo("GBPAUD",MODE_POINT); else TakeProfitLevel = 0.0;
//GBPAUD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slGBPAUD) / gbpaudTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("GBPAUD", OP_SELL, ilots, MarketInfo("GBPAUD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell USDJPY

   if (sellusdjpyOrder == SIGNAL_SELL_USDJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("USDJPY",MODE_BID) + StopLoss * MarketInfo("USDJPY",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("USDJPY",MODE_BID) - TakeProfit * MarketInfo("USDJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//USDJPY dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slUSDJPY) / usdjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("USDJPY", OP_SELL, ilots, MarketInfo("USDJPY",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell EURJPY

   if (selleurjpyOrder == SIGNAL_SELL_EURJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("EURJPY",MODE_BID) + StopLoss * MarketInfo("EURJPY",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURJPY",MODE_BID) - TakeProfit * MarketInfo("EURJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//EURJPY dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURJPY) / eurjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("EURJPY", OP_SELL, ilots, MarketInfo("EURJPY",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell AUDJPY

   if (sellaudjpyOrder == SIGNAL_SELL_AUDJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("AUDJPY",MODE_BID) + StopLoss * MarketInfo("AUDJPY",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("AUDJPY",MODE_BID) - TakeProfit * MarketInfo("AUDJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//AUDJPY dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slAUDJPY) / audjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("AUDJPY", OP_SELL, ilots, MarketInfo("AUDJPY",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell CADJPY

   if (sellcadjpyOrder == SIGNAL_SELL_CADJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("CADJPY",MODE_BID) + StopLoss * MarketInfo("CADJPY",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("CADJPY",MODE_BID) - TakeProfit * MarketInfo("CADJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//CADJPY dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slCADJPY) / cadjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("CADJPY", OP_SELL, ilots, MarketInfo("CADJPY",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell CHFJPY

   if (sellchfjpyOrder == SIGNAL_SELL_CHFJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("CHFJPY",MODE_BID) + StopLoss * MarketInfo("CHFJPY",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("CHFJPY",MODE_BID) - TakeProfit * MarketInfo("CHFJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//CHFJPY dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slCHFJPY) / chfjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("CHFJPY", OP_SELL, ilots, MarketInfo("CHFJPY",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell NZDJPY

   if (sellnzdjpyOrder == SIGNAL_SELL_NZDJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("NZDJPY",MODE_BID) + StopLoss * MarketInfo("NZDJPY",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("NZDJPY",MODE_BID) - TakeProfit * MarketInfo("NZDJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//NZDJPY dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slNZDJPY) / nzdjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("NZDJPY", OP_SELL, ilots, MarketInfo("NZDJPY",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell GBPJPY

   if (sellgbpjpyOrder == SIGNAL_SELL_GBPJPY&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("GBPJPY",MODE_BID) + StopLoss * MarketInfo("GBPJPY",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("GBPJPY",MODE_BID) - TakeProfit * MarketInfo("GBPJPY",MODE_POINT); else TakeProfitLevel = 0.0;
//GBPJPY dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slGBPJPY) / gbpjpyTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("GBPJPY", OP_SELL, ilots, MarketInfo("GBPJPY",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell AUDNZD

   if (sellaudnzdOrder == SIGNAL_SELL_AUDNZD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("AUDNZD",MODE_BID) + StopLoss * MarketInfo("AUDNZD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("AUDNZD",MODE_BID) - TakeProfit * MarketInfo("AUDNZD",MODE_POINT); else TakeProfitLevel = 0.0;
//AUDNZD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slAUDNZD) / audnzdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("AUDNZD", OP_SELL, ilots, MarketInfo("AUDNZD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell EURNZD

   if (selleurnzdOrder == SIGNAL_SELL_EURNZD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("EURNZD",MODE_BID) + StopLoss * MarketInfo("EURNZD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("EURNZD",MODE_BID) - TakeProfit * MarketInfo("EURNZD",MODE_POINT); else TakeProfitLevel = 0.0;
//EURNZD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slEURNZD) / eurnzdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("EURNZD", OP_SELL, ilots, MarketInfo("EURNZD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }

//Sell GBPNZD

   if (sellgbpnzdOrder == SIGNAL_SELL_GBPNZD&& ((EachTickMode && !TickCheck) || (!EachTickMode && (Bars != BarCount)))) 

   {
      if(!IsTrade) {
               if (UseStopLoss) StopLossLevel = MarketInfo("GBPNZD",MODE_BID) + StopLoss * MarketInfo("GBPNZD",MODE_POINT); else StopLossLevel = 0.0;
               if (UseTakeProfit) TakeProfitLevel = MarketInfo("GBPNZD",MODE_BID) - TakeProfit * MarketInfo("GBPNZD",MODE_POINT); else TakeProfitLevel = 0.0;
//GBPNZD dynamic lot size
if(DynamicLotSize == true)   {
      RiskAmount = AccountEquity() * (EquityPercent / 100);
      CalcLots = (RiskAmount / slGBPNZD) / gbpnzdTickValue;
       lots=CalcLots;   } else lots=FixedLotSize;
         if(martingale)ilots=mlots;else ilots=lots;                           
               Ticket = OrderSend("GBPNZD", OP_SELL, ilots, MarketInfo("GBPNZD",MODE_BID), Slippage, StopLossLevel, TakeProfitLevel, "MagicNumberEP11>", MagicNumber, 0, DeepPink);
               if(Ticket > 0) {
               if (OrderSelect(Ticket, SELECT_BY_TICKET, MODE_TRADES)) 
               {
                  Print("SELL order opened : ", OrderOpenPrice());              
               } else {
                  Print("Error opening SELL order : ", GetLastError());
                       }
         }
        if (EachTickMode) TickCheck = True;
         if (!EachTickMode) BarCount = Bars;
         return(0);
      }
   }
return(0);
}
